playerprint
Player utilities

Print sensor data to the console. More...

Print sensor data to the console.

Synopsis

playerprint prints out sensor data to the console. It is useful mainly for verifying that a device is working during the setup or debugging process. If you want to visualize data, try playerv. If you want to log data to a file, try the writelog driver.

Usage

playerprint is installed alongside player in $prefix/bin, so if player is in your PATH, then playerprint should also be. Command-line usage is:

    $ playerprint [-r <rate>] [-h <host>] [-p <port>] [-i <index>] <device>

Where the options are:

- -h <host>: connect to Player on this host (default: localhost)
- -p <port>: connect to Player on this TCP port (default: 6665)
- -r <rate>: request data update at <rate> in Hz (default: 10Hz)
- -i <index>: the index of the device (default: 0)

For example:

      $ playerprint -p 7000 laser

Features

playerprint can print out data for the following kinds of devices:

- actarray
- aio
- blobfinder
- bumper
- camera
- dio
- fiducial
- gripper
- imu
- ir
- laser
- limb
- localize
- log
- map
- opaque
- planner
- position1d
- position2d
- position3d
- power
- ptz
- ranger
- simulation
- sonar
- speech
- interface_truth
- vectormap
- wifi

Author
  Brian Gerkey

Last updated 12 September 2005 21:38:45